
import defaultRenderPass from '../defaultRenderPass.js';
import sampler2D from '../sampler2D.js';
import shader from '../shader.js';

class tonemap extends defaultRenderPass {

	prepare() {


		
		this.shader = new shader();
		this.shader.createFromFile("shaders/tonemap.shader");
		this.shader.setUniform("viewProjection", this.viewport.quad.viewProjection );
		
	}
	
}

export {tonemap as default};